Test::Int::Extensional Namespace Reference

Tests for extensional (relation) constraints More...

## Classes

class | RegSimpleA
| Test with simple regular expression More...
class | RegSimpleB
| Test with simple regular expression More...
class | RegSimpleC
| Test with simple regular expression More...
class | RegDistinct
| Test with regular expression for distinct constraint More...
class | RegRoland
| Test with simple regular expression from Roland Yap More...
class | RegSharedA
| Test with simple regular expression and shared variables (uses unsharing) More...
class | RegSharedB
| Test with simple regular expression and shared variables (uses unsharing) More...
class | RegSharedC
| Test with simple regular expression and shared variables (uses unsharing) More...
class | RegSharedD
| Test with simple regular expression and shared variables (uses unsharing) More...
class | RegEmptyDFA
| Test for empty DFA More...
class | RegEmptyREG
| Test for empty regular expression More...
class | RegOpt
| Test for optimizations More...
class | TupleSetBase
| Test with tuple set More...
class | TupleSetTest
| Test with tuple set More...
class | RandomTupleSetTest
class | TupleSetLarge
| Test with large tuple set More...
class | TupleSetBool
| Test with bool tuple set More...
class | TupleSetTestSize
| Help class to create and register tests with a fixed table size. More...
class | Create
| Help class to create and register tests. More...

## Functions

Gecode::DFA | tupleset2dfa (Gecode::TupleSet ts)
| % Transform a TupleSet into a DFA
Gecode::TupleSet | randomTupleSet (int n, int min, int max, double prob)

## Variables

Create | c
RegSimpleA | ra
RegSimpleB | rb
RegSimpleC | rc
RegDistinct | rd
RegRoland | rr1 (1)
RegRoland | rr2 (2)
RegRoland | rr3 (3)
RegRoland | rr4 (4)
RegSharedA | rsa
RegSharedB | rsb
RegSharedC | rsc
RegSharedD | rsd
RegEmptyDFA | redfa
RegEmptyREG | rereg
RegOpt | ro0 (CHAR_MAX-1)
RegOpt | ro1 (CHAR_MAX)
RegOpt | ro2 (static_cast< int >(UCHAR_MAX-1))
RegOpt | ro3 (static_cast< int >(UCHAR_MAX))
RegOpt | ro4 (SHRT_MAX-1)
RegOpt | ro5 (SHRT_MAX)
RegOpt | ro6 (static_cast< int >(USHRT_MAX-1))
RegOpt | ro7 (static_cast< int >(USHRT_MAX))

## Detailed Description

Tests for extensional (relation) constraints

## Function Documentation

## tupleset2dfa()

Gecode::DFA Test::Int::Extensional::tupleset2dfa | ( | Gecode::TupleSet | ts | ) |

% Transform a TupleSet into a DFA

Definition at line 376 of file extensional.cpp.

## randomTupleSet()

Gecode::TupleSet Test::Int::Extensional::randomTupleSet | ( | int | n,
|  | int | min,
|  | int | max,
|  | double | prob )

Definition at line 643 of file extensional.cpp.

## Variable Documentation

## c

Create Test::Int::Extensional::c

Definition at line 795 of file extensional.cpp.

## ra

RegSimpleA Test::Int::Extensional::ra

Definition at line 797 of file extensional.cpp.

## rb

RegSimpleB Test::Int::Extensional::rb

Definition at line 798 of file extensional.cpp.

## rc

RegSimpleC Test::Int::Extensional::rc

Definition at line 799 of file extensional.cpp.

## rd

RegDistinct Test::Int::Extensional::rd

Definition at line 801 of file extensional.cpp.

## rr1

RegRoland Test::Int::Extensional::rr1(1) | ( | 1 |  | ) |

## rr2

RegRoland Test::Int::Extensional::rr2(2) | ( | 2 |  | ) |

## rr3

RegRoland Test::Int::Extensional::rr3(3) | ( | 3 |  | ) |

## rr4

RegRoland Test::Int::Extensional::rr4(4) | ( | 4 |  | ) |

## rsa

RegSharedA Test::Int::Extensional::rsa

Definition at line 808 of file extensional.cpp.

## rsb

RegSharedB Test::Int::Extensional::rsb

Definition at line 809 of file extensional.cpp.

## rsc

RegSharedC Test::Int::Extensional::rsc

Definition at line 810 of file extensional.cpp.

## rsd

RegSharedD Test::Int::Extensional::rsd

Definition at line 811 of file extensional.cpp.

## redfa

RegEmptyDFA Test::Int::Extensional::redfa

Definition at line 813 of file extensional.cpp.

## rereg

RegEmptyREG Test::Int::Extensional::rereg

Definition at line 814 of file extensional.cpp.

## ro0

RegOpt Test::Int::Extensional::ro0(CHAR_MAX-1) | ( | CHAR_MAX- | 1 | ) |

## ro1

RegOpt Test::Int::Extensional::ro1(CHAR_MAX) | ( | CHAR_MAX |  | ) |

## ro2

RegOpt Test::Int::Extensional::ro2(static_cast< int >(UCHAR_MAX-1)) | ( | static_cast< int > | UCHAR_MAX-1 | ) |

## ro3

RegOpt Test::Int::Extensional::ro3(static_cast< int >(UCHAR_MAX)) | ( | static_cast< int > | UCHAR_MAX | ) |

## ro4

RegOpt Test::Int::Extensional::ro4(SHRT_MAX-1) | ( | SHRT_MAX- | 1 | ) |

## ro5

RegOpt Test::Int::Extensional::ro5(SHRT_MAX) | ( | SHRT_MAX |  | ) |

## ro6

RegOpt Test::Int::Extensional::ro6(static_cast< int >(USHRT_MAX-1)) | ( | static_cast< int > | USHRT_MAX-1 | ) |

## ro7

RegOpt Test::Int::Extensional::ro7(static_cast< int >(USHRT_MAX)) | ( | static_cast< int > | USHRT_MAX | ) |